Activity log for bug #1774306

Date Who What changed Old value New value Message
2018-05-31 01:18:19 Hui Wang bug added bug
2018-05-31 01:18:26 Hui Wang linux (Ubuntu): importance Undecided Critical
2018-05-31 01:19:10 Hui Wang bug added subscriber Canonical Hardware Enablement
2018-05-31 01:19:16 Hui Wang tags originate-from-1773297 sutton
2018-05-31 01:30:08 Ubuntu Kernel Bot linux (Ubuntu): status New Incomplete
2018-05-31 02:26:37 Hui Wang description Steps: 1. Installed system and log in. 2. Press the Microphone mute key. Actual result: Microphone mute key and Microphone LED doesn't work at all. Expected result: Microphone mute key and Microphone LED work should be fine. [Impact] M810z, M820z and M920z are Lenovo AIO machines, there is a mic-mute button with led on them, without this patch, the hotkey and led only works on M810z, if we want 820z and 920z to work, we need to add their subsystem id in the driver, but since they use same codec with same pin conf, we use a better way than adding id. [Fix] With this patch, all 3 machines applied ALC233_FIXUP_LENOVO_LINE2_MIC_HOTKEY. [Test Case] press mic-mute button, then check sound-setting, we found the input will mute or unmute as users press button, and led will on or off to indicate the input status. [Regression Potential] Very low, through the strictly match the pin conf, codec id and vendor id, this fix only apply to M810z, M820z and M920z.
2018-06-07 00:18:20 Khaled El Mously nominated for series Ubuntu Bionic
2018-06-07 00:18:20 Khaled El Mously nominated for series Ubuntu Artful
2018-06-07 00:19:58 Khaled El Mously bug task added linux-oem (Ubuntu)
2018-06-07 00:23:49 Kleber Sacilotto de Souza bug task added linux (Ubuntu Artful)
2018-06-07 00:23:49 Kleber Sacilotto de Souza bug task added linux-oem (Ubuntu Artful)
2018-06-07 00:23:55 Kleber Sacilotto de Souza bug task added linux (Ubuntu Bionic)
2018-06-07 00:23:55 Kleber Sacilotto de Souza bug task added linux-oem (Ubuntu Bionic)
2018-06-07 00:24:06 Kleber Sacilotto de Souza bug task deleted linux-oem (Ubuntu)
2018-06-07 00:24:19 Kleber Sacilotto de Souza linux-oem (Ubuntu Artful): status New Invalid
2018-06-07 00:24:20 Kleber Sacilotto de Souza linux-oem (Ubuntu Bionic): status New Invalid
2018-06-07 00:28:19 Kleber Sacilotto de Souza bug task deleted linux-oem (Ubuntu Bionic)
2018-06-07 00:28:24 Kleber Sacilotto de Souza bug task deleted linux-oem (Ubuntu Artful)
2018-06-07 00:29:06 Khaled El Mously bug task added linux-oem (Ubuntu)
2018-06-07 00:29:55 Kleber Sacilotto de Souza nominated for series Ubuntu Xenial
2018-06-07 00:29:55 Kleber Sacilotto de Souza bug task added linux (Ubuntu Xenial)
2018-06-07 00:29:55 Kleber Sacilotto de Souza bug task added linux-oem (Ubuntu Xenial)
2018-06-07 00:30:08 Kleber Sacilotto de Souza linux (Ubuntu Xenial): status New Invalid
2018-06-07 00:31:00 Kleber Sacilotto de Souza linux (Ubuntu Artful): status New Fix Committed
2018-06-07 00:31:03 Kleber Sacilotto de Souza linux (Ubuntu Bionic): status New Fix Committed
2018-06-07 00:31:05 Kleber Sacilotto de Souza linux-oem (Ubuntu Xenial): status New Fix Committed
2018-06-07 00:31:25 Kleber Sacilotto de Souza linux-oem (Ubuntu Xenial): status Fix Committed In Progress
2018-06-13 07:01:32 Brad Figg tags originate-from-1773297 sutton originate-from-1773297 sutton verification-needed-artful
2018-06-13 07:56:57 Hui Wang tags originate-from-1773297 sutton verification-needed-artful originate-from-1773297 sutton verification-done-artful
2018-06-14 11:02:05 Brad Figg tags originate-from-1773297 sutton verification-done-artful originate-from-1773297 sutton verification-done-artful verification-needed-bionic
2018-07-02 08:27:17 Launchpad Janitor linux (Ubuntu Artful): status Fix Committed Fix Released
2018-07-02 08:27:17 Launchpad Janitor cve linked 2018-1130
2018-07-02 08:27:17 Launchpad Janitor cve linked 2018-11508
2018-07-02 08:27:17 Launchpad Janitor cve linked 2018-5750
2018-07-02 08:27:17 Launchpad Janitor cve linked 2018-5803
2018-07-02 08:27:17 Launchpad Janitor cve linked 2018-6927
2018-07-02 08:27:17 Launchpad Janitor cve linked 2018-7755
2018-07-02 08:27:17 Launchpad Janitor cve linked 2018-7757
2018-07-02 08:27:55 Launchpad Janitor linux (Ubuntu Bionic): status Fix Committed Fix Released
2018-07-02 08:43:41 Launchpad Janitor linux-oem (Ubuntu): status New Fix Released
2018-07-02 08:57:11 Launchpad Janitor linux-oem (Ubuntu Xenial): status In Progress Fix Released
2018-07-02 08:57:13 Launchpad Janitor linux-oem (Ubuntu Xenial): status In Progress Fix Released
2018-07-06 02:51:04 AceLan Kao linux (Ubuntu): status Incomplete Fix Released
2018-07-06 03:42:39 Hui Wang tags originate-from-1773297 sutton verification-done-artful verification-needed-bionic originate-from-1773297 sutton verification-done-artful verification-done-bionic
2018-08-29 17:27:16 Anthony Wong hwe-next: status New Fix Released